OpenVZ Forum


Home » General » Support » Trouble installing kernel on Ubuntu 6.06.2 LTS
Trouble installing kernel on Ubuntu 6.06.2 LTS [message #29623] Fri, 18 April 2008 16:56 Go to next message
mangust is currently offline  mangust
Messages: 39
Registered: April 2008
Location: USA
Member
root@ds5346:real-root:~# cat /etc/issue
Ubuntu 6.06.2 LTS \n \l

root@ds5346:real-root:~# dpkg -i linux-image-2.6.18-openvz-686_028.18.1-2.6.18-12-1_i386.deb
Selecting previously deselected package linux-image-2.6.18-openvz-686.
(Reading database ... 24896 files and directories currently installed.)
Unpacking linux-image-2.6.18-openvz-686 (from linux-image-2.6.18-openvz-686_028.18.1-2.6.18-12-1_i386.deb) ...
Done.
dpkg: dependency problems prevent configuration of linux-image-2.6.18-openvz-686:
 linux-image-2.6.18-openvz-686 depends on coreutils (>= 5.96); however:
  Version of coreutils on system is 5.93-5ubuntu4.
dpkg: error processing linux-image-2.6.18-openvz-686 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-2.6.18-openvz-686
root@ds5346:real-root:~# dpkg --configure --force-all linux-image-2.6.18-openvz-686
dpkg: linux-image-2.6.18-openvz-686: dependency problems, but configuring anyway as you request:
 linux-image-2.6.18-openvz-686 depends on coreutils (>= 5.96); however:
  Version of coreutils on system is 5.93-5ubuntu4.
Setting up linux-image-2.6.18-openvz-686 (028.18.1-2.6.18-12-1) ...

 Hmm. There is a symbolic link /lib/modules/2.6.18-openvz-686/build
 However, I can not read it: No such file or directory
 Therefore, I am deleting /lib/modules/2.6.18-openvz-686/build


 Hmm. The package shipped with a symbolic link /lib/modules/2.6.18-openvz-686/source
 However, I can not read the target: No such file or directory
 Therefore, I am deleting /lib/modules/2.6.18-openvz-686/source

Running depmod.
Finding valid ramdisk creators.
Using mkinitrd.yaird to build the ramdisk.
yaird error: bad value in /boot/config-2.6.18-openvz-686: CONFIG_DEFCONFIG_LIST="/lib/modules/$UNAME_RELEASE/.config" (fatal)
mkinitrd.yaird failed to create initrd image.
Failed to create initrd image.
dpkg: error processing linux-image-2.6.18-openvz-686 (--configure):
 subprocess post-installation script returned error exit status 9
Errors were encountered while processing:
 linux-image-2.6.18-openvz-686



Looks like unsupported version Sad
Any hints?
Thanks Sad Sad Sad
Re: Trouble installing kernel on Ubuntu 6.06.2 LTS [message #29653 is a reply to message #29623] Mon, 21 April 2008 08:56 Go to previous message
mangust is currently offline  mangust
Messages: 39
Registered: April 2008
Location: USA
Member
found here:
in that file we must comment out the line CONFIG_DEFCONFIG_LIST (towards the beginning of the file) because otherwise mkinitrd.yaird will throw an error like this at us:

yaird error: bad value in /boot/config-2.6.18.3-default1: CONFIG_DEFCONFIG_LIST="/lib/modules/$UNAME_RELEASE/.config" (fatal)

http://howtoforge.com/kernel_compilation_debian_p2
and then patch from here:
http://lists.alioth.debian.org/pipermail/yaird-devel/2007-Ju ly/000657.html

It is done, lets see if it can fly
Previous Topic: X inside a VE
Next Topic: Running external script after start networking on VE
Goto Forum:
  


Current Time: Thu Feb 02 17:42:28 GMT 2023

Total time taken to generate the page: 0.00748 seconds